Subject: minor git-svn bug

From: doki_pen <[email-masked]>
Date: Thu, 02 Jul 2009 13:16:49 -0400

Is this the right place to bring up bugs?  Or only patches?  Anyway, I 
found a small bug.

Due to some strange structure on the svn host, I have manually added the 
fetch lines to the [svn-remote] section of config.  There are hundreds 
of branches and tags, so I only have lines for what I need.  I removed 
one that I thought I didn't need anymore, and also removed the remote 
tracking branch.  When I discovered that I needed the branch again, I 
added it back to svn-remotes and did a git svn fetch.  There were no new 
commits on the branch, so the remote tracking branch was not recreated.  
The work around was to do a commit on the branch via svn, then git svn 
fetch.  This caused the remote tracking branch to reappear.